intrusion detection suggestion

Erik Janssens erik.janssens at ping.be
Wed Oct 10 13:28:37 PDT 2001


Okay, so I guess I don't really have a problem: either
I take the cvs snapshot, or I take release 3.0 and substitute
the 2.4.8 with another kernel version.

But what do you do Scot, if you want to build a system
based on a 2.2.x kernel ? Is it also possible to substitute
a 2.2.x into e.g. the 3.0 lfs build ? Is that not
a valid reason to keep older lfs releases ?

Meanwhile, I found out that there is a "museum" that contains
the old lfs books, but alas, the packages and build scripts are not
kept in the musuem ( a shortage of disk space maybe ? ).

Last question: what is the purpose of the conglomeration directory
in the packages ?

Thanks for the replies,
Erik.

Scot Mc Pherson wrote:
> 
> > > To solve this there should be some 'snapshots' of LFS
> > > at certain points in time, that are available on
> ..............
> > > Correct me if I'm wrong, but I only saw 1 version of LFS
> > > on the website, which is 3.0 using 2.4.8
> 
> Yes, you are correct in a sense. The releases can be considered
> "mile-stone" releases if you will. There are those of us who have been
> building LFS for a while who don't build the release verion anymore, but
> build the latest (or latest most comfortable -- I have a few comfortable
> CVS snapshots) CVS version of the book. This isn't CVS software, merely a
> document that is in constant revision and improvement. The only way to reap
> the benefit gained within the last few months is to use the cvs snapshot
> which is available right along side the release.
> 
> As far as kernel selection. That is entirely up to you which kernel you
> wish to use. The book suggests the 2.4.8 kernel because of the success
> people have had getting it working the 1st time (save configuration issues
> of course). I infact elect to use the older MOST stable kernels. My
> favourite kernel being 2.2.19, and anxiously awaiting the release of 2.2.20
> (yes 2.2 is still being maintained -- by Alan Cox).
> 
> > the kernel version is IMHO the least important thing on a LFS system. i,
> > for myself, use allways the latest, stable kernel.
> 
> I agree. For me the latest most stable happens to be 2.2.19, the second
> latest most stable is 2.0.39
> 
> I'll wait for 2.4 kernel to catch up with itself. I was under the
> impression that 2.4.10 was going to be a bug freeze release, but as I was
> downloading it and talking to people who already had the opportunity that
> morning to snatch it at release time. I learned how awefully buggy the 2.4
> kernel still is. Alas...we'll wait Some more here. Our success with 2.2.19
> is unshakable and doesn't deserve to be replaced at the earliest
> opportunity. When the 2.4 kernel gets its act together we'll make the
> switch on the boxes that can take advantage of its features.
> 
> --
> Scot Mc Pherson
> "Linux is a Journey not a Guided Tour" ~ Me
> 
> --
> Unsubscribe: send email to listar at linuxfromscratch.org
> and put 'unsubscribe lfs-security' in the subject header of the message
-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe lfs-security' in the subject header of the message



More information about the lfs-security mailing list